CACAI(3)

SYNOPSIS
SUBROUTINE CACAI (Z, FNU, KODE, MR, N, Y, NZ, RL, TOL, ELIM, ALIM)

NAME
cacai - Subsidiary to CAIRY

LIBRARY
SLATEC

TYPE
ALL (CACAI-A, ZACAI-A)

AUTHOR
Amos, D. E., (SNL)

DESCRIPTION
CACAI APPLIES THE ANALYTIC CONTINUATION FORMULA K(FNU,ZN*EXP(MP))=K(FNU,ZN)*EXP(-MP*FNU) - MP*I(FNU,ZN) MP=PI*MR*CMPLX(0.0,1.0) TO CONTINUE THE K FUNCTION FROM THE RIGHT HALF TO THE LEFT HALF Z PLANE FOR USE WITH CAIRY WHERE FNU=1/3 OR 2/3 AND N=1. CACAI IS THE SAME AS CACON WITH THE PARTS FOR LARGER ORDERS AND RECURRENCE REMOVED. A RECURSIVE CALL TO CACON CAN RESULT IF CACON IS CALLED FROM CAIRY.

SEE ALSO
CAIRY

ROUTINES CALLED
CASYI, CBKNU, CMLRI, CS1S2, CSERI, R1MACH

REVISION HISTORY (YYMMDD)
830501 DATE WRITTEN
910415 Prologue converted to Version 4.0 format. (BAB)